| OpenMS 2.5.0

SiriusAdapter

De novo metabolite identification.

CSI:FingerID (Compound Structure Identification: FingerID) is a method for searching a tandem mass spectrum of a small molecule (metabolite) in a database of molecular structures.

To use this feature, the Sirius command line tool as well as a java installation is needed.

Sirius can be found on https://bio.informatik.uni-jena.de/software/sirius/

Please use Sirius Version 4.0.1

If you want to use the software with the Gurobi solver or CPLEX instead of GLPK, please follow the instructions in the sirius manual.

Internal procedure in SiriusAdpater
1. Input mzML (and optional featureXML)
2. Preprocessing (see below)
3. Parsed by SiriusMSConverter into (sirius internal) .ms format
4. Submission of .ms and additional parameters to wrapped SIRIUS.jar
5. Sirius output saved in interal temporary folder structure
6. Sirius output is parsed (SiriusMzTabWriter/CsiFingerIDMzTabWriter)
7. Merge corresponding output in one mzTab (out_sirius/out_fingerid)
Preprocessing (featureXML): By providing a featureXML, the feature information can be used for feature mapping. Sirius will then process the internally merged MS2 spectra allocated to one feature (instead of all available MS2). To reduce the feature space even further a masstrace filter can be set. Additional adduct information can be provided using a featureXML from the MetaboliteAdductDecharger or AccurateMassSearch.

The command line parameters of this tool are:

    SiriusAdapter -- Tool for metabolite identification using single and tandem mass spectrometry

    Full documentation: http://www.openms.de/documentation/UTILS_SiriusAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    To cite SiriusAdapter:

      Kai Dührkop and Sebastian Böcker. Fragmentation trees reloaded. J Cheminform; 2016. doi:10.1186/s13321-016-0116-8.

      Kai Dührkop, Huibin Shen, Marvin Meusel, Juho Rousu, and Sebastian Böcker. Searching molecular structure databases with tandem mass spectra using CSI:FingerID. Proceedings of the National Academy of Sciences; 2015. doi:10.1073/pnas.1509788112.

    Usage:

      SiriusAdapter <options>

    Options (mandatory options marked with '*'):

      -executable <executable>                             The Sirius executable. Provide a full or relative path

                                                           , or make sure it can be found in your PATH environmen

                                                           t.

      -in <file>*                                          MzML Input file (valid formats: 'mzML')

      -in_featureinfo <file>                               FeatureXML input with feature and adduct information

                                                           (valid formats: 'featureXML')

      -out_sirius <file>                                   MzTab Output file for SiriusAdapter results (valid

                                                           formats: 'mzTab')

      -out_fingerid <file>                                 MzTab output file for CSI:FingerID, if this parameter

                                                           is given, SIRIUS will search for a molecular structure

                                                           using CSI:FingerID after determining the sum formula

                                                           (valid formats: 'mzTab')

      -out_ms <file>                                       Internal SIRIUS .ms format after OpenMS preprocessing

                                                           (valid formats: 'ms')

      -out_workspace_directory <directory>                 Output directory for SIRIUS workspace

    Preprocessing:

      -preprocessing:filter_by_num_masstraces <number>     Features have to have at least x MassTraces. To use

                                                           this parameter feature_only is neccessary (default:

                                                           '1' min: '1')

      -preprocessing:precursor_mz_tolerance <value>        Tolerance window for precursor selection (Feature sele

                                                           ction in regard to the precursor) (default: '0.005')

      -preprocessing:precursor_mz_tolerance_unit <choice>  Unit of the precursor_mz_tolerance (default: 'Da' vali

                                                           d: 'Da', 'ppm')

      -preprocessing:precursor_rt_tolerance <number>       Tolerance window (left and right) for precursor select

                                                           ion [seconds] (default: '5')

      -preprocessing:feature_only                          Uses the feature information from in_featureinfo to

                                                           reduce the search space to MS2 associated with a featu

                                                           re.

    Parameters for SIRIUS and CSI:FingerID:

      -sirius:profile <choice>                             Specify the used analysis profile (default: 'qtof'

                                                           valid: 'qtof', 'orbitrap', 'fticr')

      -sirius:candidates <number>                          The number of candidates in the SIRIUS output. (defaul

                                                           t: '5' min: '1')

      -sirius:database <choice>                            Search formulas in given database (default: 'all' vali

                                                           d: 'all', 'chebi', 'custom', 'kegg', 'bio', 'natural

                                                           products', 'pubmed', 'hmdb', 'biocyc', 'hsdb', 'knapsa

                                                           ck', 'biological', 'zinc bio', 'gnps', 'pubchem', 'mes

                                                           h', 'maconda')

      -sirius:noise <number>                               Median intensity of noise peaks (default: '0' min:

                                                           '0')

      -sirius:ppm_max <number>                             Allowed ppm for decomposing masses (default: '10')

      -sirius:isotope <choice>                             How to handle isotope pattern data. Use 'score' to

                                                           use them for ranking or 'filter' if you just want to

                                                           remove candidates with bad isotope pattern. With 'both

                                                           ' you can use isotopes for filtering and scoring. Use

                                                           'omit' to ignore isotope pattern. (default: 'both'

                                                           valid: 'score', 'filter', 'both', 'omit')

      -sirius:elements <text>                              The allowed elements. Write CHNOPSCl to allow the elem

                                                           ents C, H, N, O, P, S and Cl. Add numbers in brackets

                                                           to restrict the maximal allowed occurrence of these

                                                           elements: CHNOP[5]S[8]Cl[1]. (default: 'CHNOP[5]S[8]Cl

                                                           [1]')

      -sirius:compound_timeout <number>                    Time out in seconds per compound. To disable the timeo

                                                           ut set the value to 0 (default: '10' min: '0')

      -sirius:tree_timeout <number>                        Time out in seconds per fragmentation tree computation

                                                           . (default: '0' min: '0')

      -sirius:top_n_hits <number>                          The number of top hits for each compound written to

                                                           the CSI:FingerID output (default: '10' min: '1')

      -sirius:cores <number>                               The number of cores SIRIUS is allowed to use on the

                                                           system (default: '1' min: '1')

      -sirius:auto_charge                                  Use this option if the charge of your compounds is

                                                           unknown and you do not want to assume [M+H]+ as defaul

                                                           t. With the auto charge option SIRIUS will not care

                                                           about charges and allow arbitrary adducts for the prec

                                                           ursor peak.

    Common UTIL options:

      -ini <file>                                          Use the given TOPP INI file

      -threads <n>                                         Sets the number of threads allowed to be used by the

                                                           TOPP tool (default: '1')

      -write_ini <file>                                    Writes the default configuration file

      --help                                               Shows options

      --helphelp                                           Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+SiriusAdapter Tool for metabolite identification using single and tandem mass spectrometry
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'SiriusAdapter'
executable sirius-console-64.exe The Sirius executable. Provide a full or relative path, or make sure it can be found in your PATH environment.input file
in MzML Input file input file*.mzML
in_featureinfo FeatureXML input with feature and adduct information input file*.featureXML
out_sirius MzTab Output file for SiriusAdapter results output file*.mzTab
out_fingerid MzTab output file for CSI:FingerID, if this parameter is given, SIRIUS will search for a molecular structure using CSI:FingerID after determining the sum formula output file*.mzTab
out_ms Internal SIRIUS .ms format after OpenMS preprocessing output file*.ms
out_workspace_directory Output directory for SIRIUS workspace
converter_mode false Use this flag in combination with the out_ms file to only convert the input mzML and featureXML to an .ms file. Without further SIRIUS processing.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++preprocessing Preprocessing
filter_by_num_masstraces 1 Features have to have at least x MassTraces. To use this parameter feature_only is neccessary 1:∞
precursor_mz_tolerance 0.005 Tolerance window for precursor selection (Feature selection in regard to the precursor)
precursor_mz_tolerance_unit Da Unit of the precursor_mz_tolerance Da,ppm
precursor_rt_tolerance 5 Tolerance window (left and right) for precursor selection [seconds]
isotope_pattern_iterations 3 Number of iterations that should be performed to extract the C13 isotope pattern. If no peak is found (C13 distance) the function will abort. Be careful with noisy data - since this can lead to wrong isotope patterns.
feature_only false Uses the feature information from in_featureinfo to reduce the search space to MS2 associated with a feature.true,false
no_masstrace_info_isotope_pattern false Use this flag if the masstrace information from a feature should be discarded and the isotope_pattern_iterations should be used instead.true,false
+++sirius Parameters for SIRIUS and CSI:FingerID
profile qtof Specify the used analysis profile qtof,orbitrap,fticr
candidates 5 The number of candidates in the SIRIUS output.1:∞
database all search formulas in given database all,chebi,custom,kegg,bio,natural products,pubmed,hmdb,biocyc,hsdb,knapsack,biological,zinc bio,gnps,pubchem,mesh,maconda
noise 0 median intensity of noise peaks 0:∞
ppm_max 10 allowed ppm for decomposing masses
isotope both how to handle isotope pattern data. Use 'score' to use them for ranking or 'filter' if you just want to remove candidates with bad isotope pattern. With 'both' you can use isotopes for filtering and scoring. Use 'omit' to ignore isotope pattern.score,filter,both,omit
elements CHNOP[5]S[8]Cl[1] The allowed elements. Write CHNOPSCl to allow the elements C, H, N, O, P, S and Cl. Add numbers in brackets to restrict the maximal allowed occurrence of these elements: CHNOP[5]S[8]Cl[1].
compound_timeout 10 Time out in seconds per compound. To disable the timeout set the value to 0 0:∞
tree_timeout 0 Time out in seconds per fragmentation tree computation.0:∞
top_n_hits 10 The number of top hits for each compound written to the CSI:FingerID output 1:∞
cores 1 The number of cores SIRIUS is allowed to use on the system 1:∞
auto_charge false Use this option if the charge of your compounds is unknown and you do not want to assume [M+H]+ as default. With the auto charge option SIRIUS will not care about charges and allow arbitrary adducts for the precursor peak.true,false
ion_tree false Print molecular formulas and node labels with the ion formula instead of the neutral formula true,false
no_recalibration false If this option is set, SIRIUS will not recalibrate the spectrum during the analysis.true,false
most_intense_ms2 false SIRIUS uses the fragmentation spectrum with the most intense precursor peak (for each spectrum)true,false